Subject: bug#74250: emacs-guix: guix-pull invalid input error

From: Christopher Howard <[email-masked]>
Date: Tue, 19 Nov 2024 11:55:13 -0900

>From what I can tell, the only place that &package-input-error can be
raised from is guix/packages.scm:41:25. From the error, it seems that
input

(\"source\" #<origin \"mirror://gnu/guile/guile-3.0.9.tar.xz\"
#<content-hash
sha256:03bm1mnfc9kkg2ls942a0js7bxrdzmcffgrgg6anwdmjfan2a9hs> ()
7efc797e9c00>)

is not matching any of the match candidates in the expand-input procedure
in (guix packages). Does anything about this input look malformed,
or...?

-- 
Christopher Howard